Bug 62429

Summary: [EFL][WK2] Minor fix: fix coding style and remove unnecessary codes for WebKit2 efl port's PageClientImpl
Product: WebKit Reporter: Eunmi Lee <enmi.lee>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: antognolli+webkit, gyuyoung.kim, kenneth, leandro, ryuan.choi, sangseok.lim, tonikitoo, webkit.review.bot, youngtaeck.song
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 61838    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch none

Description Eunmi Lee 2011-06-09 22:42:07 PDT
I fixed coding style and removed unnecessary codes in the WebPageProxyEfl and PageClientImpl.
Comment 1 Eunmi Lee 2011-06-09 22:45:22 PDT
Created attachment 96696 [details]
Patch
Comment 2 Eunmi Lee 2011-06-09 23:10:22 PDT
Created attachment 96698 [details]
Patch
Comment 3 Eunmi Lee 2011-06-09 23:10:49 PDT
(In reply to comment #2)
> Created an attachment (id=96698) [details]
> Patch

I removed WTF::
Comment 4 Gyuyoung Kim 2011-06-10 00:02:42 PDT
Comment on attachment 96698 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96698&action=review

> Source/WebKit2/UIProcess/efl/WebPageProxyEfl.cpp:57
> +        osVersion = String(name.sysname) + " " + String(name.machine);

I think makeString() is better than string operation. I also make a bug for similar implementation. (Bug 62434)
Comment 5 Eunmi Lee 2011-06-10 00:45:05 PDT
Created attachment 96705 [details]
Patch
Comment 6 Eunmi Lee 2011-06-10 00:46:01 PDT
(In reply to comment #4)
> (From update of attachment 96698 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=96698&action=review
> 
> > Source/WebKit2/UIProcess/efl/WebPageProxyEfl.cpp:57
> > +        osVersion = String(name.sysname) + " " + String(name.machine);
> 
> I think makeString() is better than string operation. I also make a bug for similar implementation. (Bug 62434)

Done.
Thanks for your comment :)
I fixed above codes to use makeString.
Comment 7 Eunmi Lee 2011-06-10 00:58:02 PDT
(In reply to comment #5)
> Created an attachment (id=96705) [details]
> Patch

I fixed string operation to makeString,
and added enterAcceleratedCompositingMode and exitAcceleratedCompositingMode for ACCELERATED_COMPOSITING
Comment 8 Leandro Pereira 2011-06-10 09:43:49 PDT
Comment on attachment 96705 [details]
Patch

There are some unrelated changes on this patch; please make these changes in different patches. This should help if a rollout is ever needed.
Comment 9 Eunmi Lee 2011-06-12 21:07:24 PDT
Created attachment 96916 [details]
Patch
Comment 10 Eunmi Lee 2011-06-12 21:09:41 PDT
(In reply to comment #8)
> (From update of attachment 96705 [details])
> There are some unrelated changes on this patch; please make these changes in different patches. This should help if a rollout is ever needed.

Thanks for your comments.
I've removed unrelated changes from this patch and I will make new patch for other changes.
Comment 11 Leandro Pereira 2011-06-13 07:35:32 PDT
(In reply to comment #10)
> Thanks for your comments.
> I've removed unrelated changes from this patch and I will make new patch for 
> other changes.

Informal r+.
Comment 12 Kenneth Rohde Christiansen 2011-06-13 07:49:47 PDT
Comment on attachment 96916 [details]
Patch

Making the informal r+, formal
Comment 13 WebKit Review Bot 2011-06-13 08:29:07 PDT
Comment on attachment 96916 [details]
Patch

Clearing flags on attachment: 96916

Committed r88640: <http://trac.webkit.org/changeset/88640>
Comment 14 WebKit Review Bot 2011-06-13 08:29:13 PDT
All reviewed patches have been landed.  Closing bug.